body{
	background: #d7d7d7;
	padding: 0px;
	margin: 0;
}

.container{
	position: absolute;
	top: 50%;
	left: 50%;
	background-color: #fff;
	width: 300px;
	height: 462px;
	-webkit-border-radius: 20px;
	-moz-border-radius: 20px;
	border-radius: 20px;
	box-shadow: 1px 1px 1px white,
				2px 2px 1px white,
				3px 3px 1px gray,
				4px 4px 1px white,
				5px 5px 1px white,
				6px 6px 1px gray,
				7px 7px 1px white,
				8px 8px 1px white,
				9px 9px 1px gray,
				10px 10px 1px white,
				11px 11px 1px white,
				12px 12px 1px gray,
				13px 13px 1px white,
				14px 14px 1px white,
				15px 15px 1px gray,
				20px 20px 10px rgba(0,0,0,0.4);
	-webkit-transform: translate(-50%, -50%) rotateX(55deg) rotateY(0deg) rotateZ(45deg);
	-moz-transform: translate(-50%, -50%) rotateX(55deg) rotateY(0deg) rotateZ(45deg);
	-ms-transform: translate(-50%, -50%) rotateX(55deg) rotateY(0deg) rotateZ(45deg);
	-o-transform: translate(-50%, -50%) rotateX(55deg) rotateY(0deg) rotateZ(45deg);
	transform: translate(-50%, -50%) rotateX(55deg) rotateY(0deg) rotateZ(45deg);
	-webkit-transition: all 0.4s ease;
	-moz-transition: all 0.4s ease;
	-ms-transition: all 0.4s ease;
	-o-transition: all 0.4s ease;
	transition: all 0.4s ease;
	-webkit-transform-style: preserve-3d;
	-moz-transform-style: preserve-3d;
	-ms-transform-style: preserve-3d;
	transform-style: preserve-3d;
}
.container:hover{
	box-shadow: 2px 2px 1px white,
	4px 4px 1px white,
	6px 6px 1px gray,
	8px 8px 1px white,
	10px 10px 1px white,
	12px 12px 1px gray,
	14px 14px 1px white,
	16px 16px 1px white,
	18px 18px 1px gray,
	20px 20px 1px white,
	22px 22px 1px white,
	24px 24px 1px gray,
	26px 26px 1px white,
	28px 28px 1px white,
	30px 30px 1px gray,
	50px 50px 30px rgba(0,0,0,0.4);
	-webkit-transform: translate(calc(-50% - 5px), calc(-50% - 5px)) rotateX(55deg) rotateY(0deg) rotateZ(45deg);
	-moz-transform: translate(calc(-50% - 5px), calc(-50% - 5px)) rotateX(55deg) rotateY(0deg) rotateZ(45deg);
	-ms-transform: translate(calc(-50% - 5px), calc(-50% - 5px)) rotateX(55deg) rotateY(0deg) rotateZ(45deg);
	-o-transform: translate(calc(-50% - 5px), calc(-50% - 5px)) rotateX(55deg) rotateY(0deg) rotateZ(45deg);
	transform: translate(calc(-50% - 5px), calc(-50% - 5px)) rotateX(55deg) rotateY(0deg) rotateZ(45deg);
}

.card-logo{
	position: absolute;
	top: 50%;
	left: 50%;
	-webkit-transform: translate(-50%, -50%);
	-moz-transform: translate(-50%, -50%);
	-ms-transform: translate(-50%, -50%);
	-o-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
}

.card-top-left{
	position: absolute;
	top: 0px;
	left: 0px;
	padding: 10px;
}
.card-bottom-left{
	position: absolute;
	bottom: 0px;
	left: 0px;
	padding: 10px;
}
.card-top-right{
	position: absolute;
	top: 0px;
	right: 0px;
	padding: 10px;
}
.card-bottom-right{
	position: absolute;
	bottom: 0px;
	right: 0px;
	padding: 10px;
}

.card{
	position: absolute;
	height: 100%;
	width: 100%;
	-webkit-transform-style: preserve-3d;
	-moz-transform-style: preserve-3d;
	-ms-transform-style: preserve-3d;
	transform-style: preserve-3d;
	transition: all 0.4s ease;
}


.container:hover .card{
	/*-webkit-transform: rotateY(180deg);*/
	/*-moz-transform: rotateY(180deg);*/
	/*-ms-transform: rotateY(180deg);*/
	/*-o-transform: rotateY(180deg);*/
	/*transform: rotateY(180deg);*/
	animation: anim 2s linear;
}

.card-front{
	position: absolute;
	height: 100%;
	width: 100%;
	-webkit-backface-visibility: hidden;
	-moz-backface-visibility: hidden;
	-ms-backface-visibility: hidden;
	backface-visibility: hidden;
	background-color: lightslategray;
	height: 462px;
	-webkit-border-radius: 20px;
	-moz-border-radius: 20px;
	border-radius: 20px;
}

.card-back{
	position: absolute;
	height: 100%;
	width: 100%;
	-webkit-backface-visibility: hidden;
	-moz-backface-visibility: hidden;
	-ms-backface-visibility: hidden;
	backface-visibility: hidden;
	-webkit-transform: rotateY(180deg);
	-moz-transform: rotateY(180deg);
	-ms-transform: rotateY(180deg);
	-o-transform: rotateY(180deg);
	transform: rotateY(180deg);
	background-color: gray;
	height: 462px;
	-webkit-border-radius: 20px;
	-moz-border-radius: 20px;
	border-radius: 20px;
}


@keyframes anim {
	0%{
		-webkit-transform: translate(0%,0%);
		-moz-transform: translate(0%,0%);
		-ms-transform: translate(0%,0%);
		-o-transform: translate(0%,0%);
		transform: translate(0%,0%);
	}
	30%{
		transform: translate(-120%,-50%) rotateY(0deg);
	}
	50%{
		transform: translate(-120%,-50%) rotateY(90deg);
	}
	100%{
		-webkit-transform: translate(0%,0%);
		-moz-transform: translate(0%,0%);
		-ms-transform: translate(0%,0%);
		-o-transform: translate(0%,0%);
		transform: translate(0%,0%) rotateY(180deg);
	}
}